Subject: Re: [PATCH v2] Do not show "diff --git" metainfo with --no-prefix

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Jan 2008 17:19:37 -0800

Johannes Schindelin <[email-masked]> writes:

> Having had time to think about it for a while, I think that the 
> --no-prefix still can make sense with --git.  For example, if I want to 
> submit a gitk patch, but only have git.git (and consequently, made the fix 
> in that repository), I could use "git diff --no-prefix" to make it easier 
> for Paul, no?

No, what you are talking about is a need of negative prefix,
which you did not implement in that no/src/dst-prefix patch.

Using --no-prefix is a _hack_ that may happen to work only when
the subtree-merged project is one level down.  You would need
negative prefix of two level _and_ a/ and b/ prefix, when gitk
is moved to modules/gitk subdirectory.

Incidentally I am planning to do such a move of gitk and git-gui
to one level down (modules/gitk and modules/git-gui) sometime in
the future when I convert git.git to use submodules.  Privately
I already have such a tree based on -rc3 but for obvious reasons
I cannot push it out even to a preview branch in git.git
repository for the time being.